kdeconnect (26.04.3-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. (LP: #2154956). Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend plasma-desktoptheme and qml6-module-org-kde-kdeconnect.
    - Do not have the qml module recommend kdeconnect.
    - kdeconnect-libs Breaks/Replaces to suit Kubuntu merge history.
    - Build depend on a recent version of qt6-base-dev-tools.

 -- Rik Mills <rikmills@kde.org>  Sat, 04 Jul 2026 12:45:46 +0100

kdeconnect (26.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (26.04.3).
  * Fix build failure against OpenSSL 4.0, thx to Ravi Kant Sharma
    (Closes: #1138411).
  * Remove unnecessary B-D to qt6-declarative-private-dev as the issue
    has been resolved with Qt 6.10.

 -- Patrick Franz <deltaone@debian.org>  Sat, 04 Jul 2026 12:35:45 +0200

kdeconnect (26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:26:29 +0100

kdeconnect (26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:27:14 +0100

kdeconnect (26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 11:52:58 +0100

kdeconnect (26.04.0-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend plasma-desktoptheme and qml6-module-org-kde-kdeconnect.
    - Do not have the qml module recommend kdeconnect.
    - kdeconnect-libs Breaks/Replaces to suit Kubuntu merge history.
    - Build depend on a recent version of qt6-base-dev-tools.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 06 May 2026 21:28:08 +0100

kdeconnect (26.04.0-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream release.
  * Add missing dependency libei-dev.
  * Add new file to kdeconnect.install
    --usr/lib/*/udev/rules.d/40-kdeconnect-uinput.rules
  * Add missing qmldeps override.
    --org.kde kcmutils

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 29 Apr 2026 12:24:10 +0200

kdeconnect (25.12.3-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream release.
  * Simplify d/salsa-ci.yml.
  * Migrate to d/watch version 5 syntax.
  * Bump std-ver to 4.7.4, drop priority field.
  * Replace old FSF postal address in d/copyright.

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 09 Apr 2026 18:46:53 +0200

kdeconnect (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:48:49 +0000

kdeconnect (25.12.2-0ubuntu3) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 07:24:47 +0000

kdeconnect (25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:53:35 +0000

kdeconnect (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:21:27 +0000

kdeconnect (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:50:17 +0000

kdeconnect (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:01:35 +0000

kdeconnect (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:18:55 +0000

kdeconnect (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:12 +0000

kdeconnect (25.11.80+git20251121.7090b106-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.11.80+git20251121.7090b106).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 22 Nov 2025 23:31:54 +0100

kdeconnect (25.11.80-0ubuntu2) resolute; urgency=medium

  * Backport upstream_check-ID-does-not-change-during-handshake.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Nov 2025 12:47:22 +0000

kdeconnect (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:51:30 +0000

kdeconnect (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:13:02 +0000

kdeconnect (25.08.2-0ubuntu2) resolute; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 13:50:08 +0100

kdeconnect (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:43:27 +0100

kdeconnect (25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - add libkf6colorscheme-dev
    - drop no more needed: kpeople-vcard, libkf6configwidgets-dev,
      libkf6doctools-dev, libkf6kcmutils-dev, libqca-qt6-dev,
      plasma-wayland-protocols, and qt6-wayland-dev-tools
  * Switch the dbus-x11 build dependency to dbus-daemon for dbus-run-session.
    (Closes: #1117066)
  * Do not ship static libraries.
  * Update install files.
  * Drop no more needed lintian override.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 13:43:32 +0200

kdeconnect (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:12:00 +0100

kdeconnect (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:52:49 +0100

kdeconnect (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:22:48 +0100

kdeconnect (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:42:36 +0100

kdeconnect (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:08:19 +0100

kdeconnect (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:40:59 +0100

kdeconnect (25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend plasma-desktoptheme and qml6-module-org-kde-kdeconnect.
    - Do not have the qml module recommend kdeconnect.
    - kdeconnect-libs Breaks/Replaces to suit Kubuntu merge history.

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jun 2025 08:53:38 +0100

kdeconnect (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.2).
    - Change qtdbus-qt5 to qtdbus-qt6 in the sample commands logic to find the
    qdbus executable name.
    - Kcm: fix memory leak in devicesRemoved().
    - Fix mpris sessions changed event handler.
    - Add plugin settings dep.
    - Make KF6DocTools optional.
    - Sendnotifications: Add missing qRegisterMetaType<>().
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jun 2025 01:20:50 +0200

kdeconnect (25.04.2-0ubuntu2) questing; urgency=medium

  * Additional b-d on libkf6itemmodels-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 13:24:17 +0100

kdeconnect (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:42:43 +0100

kdeconnect (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)
  * Drop included upstream_fix-armhf-build.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:04:44 +0100

kdeconnect (25.04.0+git20250504.28fb9142-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (25.04.0+git20250504.28fb9142).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 18:39:07 +0200

kdeconnect (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop patch applied upstream.
  * Backport upstream commit to fix build on 32-bit architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 19:00:03 +0200

kdeconnect (25.04.0-0ubuntu2) questing; urgency=medium

  * Drop org.kde.people from qmldeps.overrides. (LP: #2109830)

 -- Rik Mills <rikmills@kde.org>  Fri, 02 May 2025 12:50:45 +0100

kdeconnect (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Add upstream_fix-armhf-build.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:46:55 +0100

kdeconnect (24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:51 -0500

kdeconnect (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:40:04 +0000

kdeconnect (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:06:05 +0000

kdeconnect (24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:03:58 -0600

kdeconnect (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:29:31 +0000

kdeconnect (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 22:45:56 +0100

kdeconnect (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:10:06 +0000

kdeconnect (24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:22:07 -0600

kdeconnect (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:06:30 +0000

kdeconnect (24.11.80-0ubuntu2) plucky; urgency=medium

  * For now make sure the main package recommends the qml module.

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 20:44:08 +0000

kdeconnect (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:50:55 +0000

kdeconnect (24.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add upstream patch to fix "kdeconnect FTCBFS: error parsing cmake
    expression containing unquoted variable" (Closes: #977275)
  * Mark failing test to not fail the build #1089306.

 -- Sandro Knauß <hefee@debian.org>  Sat, 07 Dec 2024 21:08:33 +0100

kdeconnect (24.08.3-1) unstable; urgency=medium

  * Team upload.

  * New upstream release (24.08.3).
  * Release to unstable.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Split libs into own -libs package to break interpackage circular
    dependency chain.
  * qml module recommends kdeconnect (before it depend on kdeconnect)
    (Closes: #1087840).

 -- Sandro Knauß <hefee@debian.org>  Fri, 06 Dec 2024 20:13:24 +0100

kdeconnect (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)
  * Make flaky tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 11:08:02 +0000

kdeconnect (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 14:14:37 -0600

kdeconnect (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to kf6 debhelper build sequence.
  * Drop patch enabling non-default openssh key algorithms, not
    necessary anymore with the current version of the Android app.
  * Update the list of installed files.
  * Add new qml6-module-org-kde-kdeconnect binary package.
  * Replace manual QML runtime dependencies with dbhelper sequence
    qmldeps.
  * Recommend systemsettings and override lintian warning about the
    executable being in another package.
  * Reenable build-time tests.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Oct 2024 17:52:17 +0200

kdeconnect (24.05.2-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:06:08 +0100

kdeconnect (24.05.2-0ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 
  * 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 09 Sep 2024 00:34:09 -0700

kdeconnect (24.08.0-1) experimental; urgency=medium

  * New upstream release (24.08.0).
  * Add myself to uploaders.
  * Remove unneeded patch.
  * Update dependencies according to cmake.
  * Refresh install files.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Aug 2024 02:28:04 -0700

kdeconnect (23.08.5-1ubuntu2) oracular; urgency=medium

  * Rebuild against new libkf6pulseaudioqt5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2024 18:43:37 +0200

kdeconnect (23.08.5-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 May 2024 10:04:41 +0100

kdeconnect (23.08.5-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

  [ Aurélien COUDERC ]
  * Add/update Heiko Becker in upstream signing keys.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 23:51:42 +0200

kdeconnect (23.08.5-0ubuntu6) oracular; urgency=medium

  * Rebuild against new libkf5pulseaudioqt4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 May 2024 10:33:18 +0200

kdeconnect (23.08.5-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:08 +0000

kdeconnect (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:50:03 +0000

kdeconnect (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:54:28 +0000

kdeconnect (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:13:57 +0000

kdeconnect (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:41:27 -0700

kdeconnect (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:13:58 +0000

kdeconnect (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:27 +0000

kdeconnect (23.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps and deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Sun, 15 Oct 2023 10:35:13 -0400

kdeconnect (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:43 +0100

kdeconnect (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:47 +0100

kdeconnect (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:41 +0100

kdeconnect (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:35 +0100

kdeconnect (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:12 +0100

kdeconnect (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * Update Build-Depends:
    - add modemmanager-qt-dev
    - add wayland-protocols
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Add runtime depends on qml-module-org-kde-kirigami-addons-labs-
    mobileform, as indicated in cmake output.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:50 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kdeconnect-libs`.
